View Issue Details

IDProjectCategoryView StatusLast Update
0004976MediaMonkey (current)Framework: Scripts/Extensionspublic2010-12-23 20:11
Reporterpeke 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionsuspended 
Product Version3.1.2 
Target Version4.0Fixed in Version4.0 
Summary0004976: Extensions: Support for Additional browser header info
DescriptionNew TIEHTTP build 066 support sending of Additional headers to server.

Adding several additional headers would be useful for leech protection and make clear showing to server that page is requested from MediaMonkey Internal Browser.

Example:
request_headers.Add('User-Agent: MediaMonkey/3.x (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.4) MediaMonkey/3.1.0.1196');
request_headers.Add('Referer: 3000001 last.fm scrobbler'); //Extension ID

NOTE: This should be very useful so that server can force browsing of some pages thrum MediaMonkey and/or apply specific HTML formatting for internal MM browser. Like clicking on "Get more extensions..." can be opened in MM directly and have different formatting than same link viewed in browser.
Additional InformationWhat different browser sends to Server can be seen on these links:
http://www.ericgiguere.com/tools/http-header-viewer.html
http://www.xhaus.com/headers
TagsNo tags attached.
Fixed in build1305

Relationships

related to 0003360 closedLudek Use single internet access library instead of TIE + Indy 
related to 0006320 closedLudek Framework: Retrieve URL data 
related to 0006493 resolvedrusty Automated codec installation/purchase mechanism 
child of 0004970 closedpeke Component Updated: New TIEHTTP Release 

Activities

jiri

2008-11-28 10:59

administrator   ~0015228

Since we use IE for many actions (like browsing), I don't think that this would be of any use, at least not until we significantly change the way MM manages HTML browsing.

peke

2008-12-08 00:17

developer   ~0015543

This is more for Server Side and not for MediaMonkey Client side as those additional Header values will be handled on Server for Specific HTML formatting.

I'll check if I could make small/fast example, althru unless 4970 issues are fixed there is no point of adding this functionality

peke

2009-01-24 14:52

developer   ~0016367

Using non risk code I added few headers to get better results from TIE.

peke

2009-09-19 04:24

developer   ~0018929

Changed IEHTTP3.pas To correctly show MediaMonkey as Accessing application to Web server.

2009-09-19 04:26

 

webtest.mmip (1,780 bytes)

peke

2010-04-01 15:44

developer   ~0020073

As talked with Ludek over IM it should not be the problem to add these Headers:
"X-MediaMonkey-Major", "X-MediaMonkey-Minor", "X-MediaMonkey-Release", "X-MediaMonkey-build" or if it is simpler just "X-MediaMonkey-Version" using format "3.2.0.1294"

Ludek

2010-04-01 16:09

developer   ~0020074

Last edited: 2010-04-01 16:12

I would suggest these request headers:

User-Agent: MediaMonkey
MediaMonkey-Version: 3.2.0.1294

or maybe directly:

User-Agent: MediaMonkey 3.2.0.1294

because most of apps includes version info directly in the "User-Agent" request header.

Ludek

2010-04-01 17:23

developer   ~0020075

Last edited: 2010-04-01 17:24

Fixed in build 1305.

Request header is in the form:

User-Agent: MediaMonkey 4.0.0.1305

and can be parsed by server to get MM version.

peke

2010-07-23 22:42

developer   ~0020375

Verified 1308

Note: Set as private due possible security issues in case some other apps decide to pretend to be MM.